> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Gets a quota allowance by its ID.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /quotas/v1/quota-allowances/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /quotas/v1/quota-allowances/{id}:
    get:
      tags:
        - nebius.quotas.v1.QuotaAllowanceService
      summary: Get
      description: Gets a quota allowance by its ID.
      operationId: QuotaAllowanceService_Get
      parameters:
        - description: ID of the quota.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1QuotaAllowance'
          description: A successful response.
components:
  schemas:
    v1QuotaAllowance:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1QuotaAllowanceSpec'
        status:
          $ref: '#/components/schemas/v1QuotaAllowanceStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1QuotaAllowanceSpec:
      properties:
        limit:
          description: Total amount of resources allocated.
          format: uint64
          type: string
        region:
          description: |-
            Name of the region where the quota is allocated.
            Example: "eu-north1".
          type: string
      type: object
    v1QuotaAllowanceStatus:
      properties:
        description:
          description: |-
            Human-readable description of the quota.
            Example: "Total RAM across VMs".
          type: string
        service:
          description: |-
            Service in which the quota is allocated.
            Example: "mk8s".
          type: string
        serviceDescription:
          description: |-
            Human-readable name of the service managing the quota.
            Example: "Managed Kubernetes®".
          type: string
        state:
          $ref: '#/components/schemas/v1QuotaAllowanceStatusState'
        unit:
          description: |-
            Quota unit.
            Example: "byte".
          type: string
        usage:
          description: Current quota usage.
          format: uint64
          type: string
        usagePercentage:
          description: |-
            Current quota usage as a percentage.
            Values range from 0.0 to 1.0, representing 0% to 100%.
            Values can exceed 1.0 if usage exceeds the limit.
            Example: "0.12".
          type: string
        usageState:
          $ref: '#/components/schemas/v1QuotaAllowanceStatusUsageState'
      type: object
    v1QuotaAllowanceStatusState:
      default: STATE_UNSPECIFIED
      description: |2-
         - STATE_PROVISIONING: Quota is being allocated; the process can take up to several minutes.
         - STATE_ACTIVE: Quota is allocated and can be used.
         - STATE_FROZEN: Quota is allocated but cannot be used any longer
         - STATE_DELETED: Quota has been removed and is no longer allocated.
      enum:
        - STATE_UNSPECIFIED
        - STATE_PROVISIONING
        - STATE_ACTIVE
        - STATE_FROZEN
        - STATE_DELETED
      type: string
    v1QuotaAllowanceStatusUsageState:
      default: USAGE_STATE_UNSPECIFIED
      enum:
        - USAGE_STATE_UNSPECIFIED
        - USAGE_STATE_USED
        - USAGE_STATE_NOT_USED
        - USAGE_STATE_UNKNOWN
        - USAGE_STATE_NOT_APPLICABLE
      title: |-
        - USAGE_STATE_USED: Quota is actively in use.
         - USAGE_STATE_NOT_USED: Quota is not currently in use.
         - USAGE_STATE_UNKNOWN: Quota region is unreachable, the current usage is therefore unknown.
        Please, retry the request later.
         - USAGE_STATE_NOT_APPLICABLE: Quota usage is not applicable
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````